Subject: Re: bug#42005: guix pull has been failed

From: Igor Gajsin <[email-masked]>
Date: Wed, 24 Jun 2020 12:22:02 +0200

I think I found the root cause. Please, see the output of

guix build --cores=1
/gnu/store/d2v7gzbcv9by7zw8q39v0drff1q8q9da-util-linux-2.35.1.drv

in the attachment.

> Also, did you intentionally disable binary substitutes?

I use it as a separate package manager in Ubuntu and I use it 'as
it'. Literally, I configure nothing.

Marius Bakke writes:

> Igor Gajsin <[email-masked]> writes:
>
>> Hi Guix,
>>
>> I found something when run `guix pull`. See the listing below for
>> details. Feel free to ask if I can provide more data.
>>
>> @ build-log 2969932 44
>> make[1]: /bin/sh: No such file or directory
>> @ build-log 2969932 59
>> make[1]: *** [Makefile:201: check-macro-version] Error 127
>> @ build-log 2969932 76
>> make[1]: Leaving directory '/tmp/guix-build-flex-2.6.4.drv-0/flex-2.6.4/po'
>> @ build-log 2969932 48
>> make: *** [Makefile:533: all-recursive] Error 1
>
>> @ build-log 2969932 45
>> command "make" "-j" "8" failed with status 2
>> builder for `/gnu/store/k34nshsbn46hsml399a5dj9r38xmi5kv-flex-2.6.4.drv' failed with exit code 1
>> @ build-failed /gnu/store/k34nshsbn46hsml399a5dj9r38xmi5kv-flex-2.6.4.drv - 1 builder for `/gnu/store/k34nshsbn46hsml399a5dj9r38xmi5kv-flex-2.6.4.drv' failed with exit code 1
>
> It looks like 'flex' failed to build, possibly because of parallelism
> issues.
>
> Can you try to 'guix build --cores=1 /gnu/store/k34nshsbn46hsml399a5dj9r38xmi5kv-flex-2.6.4.drv' ?
>
> Also, did you intentionally disable binary substitutes?

--
With best regards,
Igor Gajsin